/**
 * Copyright (C) 2009-2015 Tatjana (Tanja) Kostic
 * <p>
 * This file belongs to jCleanCim, a tool supporting tasks of UML model managers for IEC TC57 CIM
 * and 61850 models.
 * <p>
 * This program is free software: you can redistribute it and/or modify it under the terms of the
 * GNU Lesser General Public License version 3.
 * <p>
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details. You should have received a copy of the GNU Lesser
 * General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

package org.tanjakostic.jcleancim.docgen.collector;

import org.tanjakostic.jcleancim.model.UmlObject;

/**
 * FIXME: Have to somehow deal with checks on uniqueness (without using UUIDs)...
 *
 * @author tatjana.kostic@ieee.org
 * @version $Id: DocIDHelper.java 2728 2015-05-14 20:00:03Z CHTAKOS $
 */
public class DocIDHelper {

	private DocIDHelper() {
		// prevents creation
	}

	/** FIXME: We currently use internal EA identifier to avoid name clashes... */
	public static String createDocId(UmlObject o, String ending) {
		return String.format("%s.%s.%s", o.getQualifiedName(), o.getId(), ending);
		// return String.format("%s.%s", o.getQualifiedName(), ending);
	}

	public static String createDocId(String prefix, String ending) {
		return prefix + ending;
	}

}
