/**
 * Copyright (C) 2009-2015 Tatjana (Tanja) Kostic
 * <p>
 * This file belongs to jCleanCim, a tool supporting tasks of UML model managers for IEC TC57 CIM
 * and 61850 models.
 * <p>
 * This program is free software: you can redistribute it and/or modify it under the terms of the
 * GNU Lesser General Public License version 3.
 * <p>
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details. You should have received a copy of the GNU Lesser
 * General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

package org.tanjakostic.jcleancim.model;

/**
 * Content of version class, expected to be found in top packages.
 *
 * @author tatjana.kostic@ieee.org
 * @version $Id: VersionInfo.java 2728 2015-05-14 20:00:03Z CHTAKOS $
 */
public class VersionInfo {

	private final String _version;
	private final String _date;

	public VersionInfo(String version, String date) {
		_version = version;
		_date = date;
	}

	public String getVersion() {
		return _version;
	}

	public String getDate() {
		return _date;
	}

	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("version={").append(_version).append(", ").append(_date).append("}");
		return sb.toString();
	}
}
