/**
 * Redistribution and use in source and binary forms, with or without modification, are permitted.
 * <p>
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR ONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package org.tanjakostic.jcleancim.docgen.collector;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import org.junit.Test;
import org.tanjakostic.jcleancim.docgen.collector.DocgenConfig;

/**
 * @author tatjana.kostic@ieee.org
 * @version $Id: DocgenConfigTest.java 2728 2015-05-14 20:00:03Z CHTAKOS $
 */
public class DocgenConfigTest {

	// ============= Tests ===============

	@Test
	public final void testCtorFourBooleansIgnoresCfgOptWhenNotForWord() {
		boolean collectForWord = false;
		DocgenConfig docgenCfg = new DocgenConfig(false, collectForWord, false, false);
		assertTrue("ignores 'printHtml' when not collecting for Word", docgenCfg.keepHtml);
	}

	@Test
	public final void testCtorFourBooleansRetainHtmlWhenForWord() {
		boolean collectForWord = true;
		DocgenConfig docgenCfg = new DocgenConfig(false, collectForWord, false, false);
		assertFalse("respects 'printHtml' when collecting for Word", docgenCfg.keepHtml);
	}

	@Test
	public final void testCtorFourBooleansIgnoreHtmlWhenForWord() {
		boolean collectForWord = true;
		DocgenConfig docgenCfg = new DocgenConfig(true, collectForWord, false, false);
		assertTrue("respects 'printHtml' when not collecting for Word", docgenCfg.keepHtml);
	}
}
